* WINAPI.H  09-Aug-97

#include foxpro.h

* ShowWindow() Commands

#define SW_HIDE             0
#define SW_SHOWNORMAL       1
#define SW_NORMAL           1
#define SW_SHOWMINIMIZED    2
#define SW_SHOWMAXIMIZED    3
#define SW_MAXIMIZE         3
#define SW_SHOWNOACTIVATE   4
#define SW_SHOW             5
#define SW_MINIMIZE         6
#define SW_SHOWMINNOACTIVE  7
#define SW_SHOWNA           8
#define SW_RESTORE          9
#define SW_SHOWDEFAULT     10
#define SW_MAX             10

* ShellExecute() return values

#define SE_ERR_FNF               2
#define SE_ERR_PNF               3
#define SE_ERR_ACCESSDENIED      5
#define SE_ERR_OOM               8
#define SE_ERR_DLLNOTFOUND      32
#define SE_ERR_SHARE            26
#define SE_ERR_ASSOCINCOMPLETE  27
#define SE_ERR_DDETIMEOUT       28
#define SE_ERR_DDEFAIL          29
#define SE_ERR_DDEBUSY          30
#define SE_ERR_NOASSOC          31

#define ERROR_BAD_FORMAT        11

#define MSG_SE_ERR_FNF             "File not found"
#define MSG_SE_ERR_PNF             "Path not found"
#define MSG_SE_ERR_ACCESSDENIED    "Access denied"
#define MSG_SE_ERR_OOM             "Out of memory"
#define MSG_SE_ERR_DLLNOTFOUND     "DLL not found"
#define MSG_SE_ERR_SHARE           "A sharing violation occurred"
#define MSG_SE_ERR_ASSOCINCOMPLETE "Incomplete or invalid file association"
#define MSG_SE_ERR_DDETIMEOUT      "DDE Time out"
#define MSG_SE_ERR_DDEFAIL         "DDE transaction failed"
#define MSG_SE_ERR_DDEBUSY         "DDE busy"
#define MSG_SE_ERR_NOASSOC         "No association for file extension"
#define MSG_UNKNOWN_ERROR          "Unknown error: "
#define MSG_ERROR_BAD_FORMAT       "Invalid EXE file or error in EXE image"
